looking to install sync client for 13.2

on their website they have 13.1 but if i try this the installation fails in apper with

Code:
  A package dependency could not be found.
 More information is available in the detailed report.

nothing provides libcares.so.2(CARES_1.2.0)(64bit) needed by megasync-1.0.35-3.1.x86_64
any ideas?

thanks